CFG80211_TX_MLME_MGM(9)

NAME
cfg80211_tx_mlme_mgmt - notification of transmitted deauth/disassoc frame

SYNOPSIS

void cfg80211_tx_mlme_mgmt(struct net_device * dev, const u8 * buf, size_t len);

ARGUMENTS

dev
    network device

buf
    802.11 frame (header + body)

len
    length of the frame data

DESCRIPTION

This function is called whenever deauthentication has been processed in station mode. This includes both received deauthentication frames and locally generated ones. This function may sleep. The caller must hold the corresponding wdev's mutex.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT